
Tue Aug 15 16:46:54 CDT 2000
	* socks5-v1.0r11 released
	* fix username/password's wrong version number
	* fix a relic of removing fclose
	* fix a remote name resolution problem for UDP
	* add udp recvfrom() error checking <jay@kali.net>

Wed Mar  8 10:56:47 CST 2000
	* previent zero length username/passwd

Thu Feb 24 09:19:33 CST 2000
	* ftp data close <Michael.Adler@compaq.com>
	* ftp signal cleanup

Thu Dec 16 17:08:49 CST 1999
	* added sleep() to upwd to slow username/password attacks

Tue Nov 23 16:22:44 CST 1999
	* rftp bug - dup()  <carson@tla.org>

Tue Oct 26 12:02:46 CDT 1999
	* clients/ftp/cmds.c <ghealton@babel.lz.att.com>

Tue Oct  5 10:22:32 CDT 1999
	* lib/Makefile.in <carson@tla.org>

Thu Aug  5 09:41:28 CDT 1999
	* FreeBSD lib/rld.c DGetOriginalFunc() <andre.albsmeier@mchp.siemens.de>

Fri Jul 23 08:41:27 CDT 1999
	* socks5-v1.0r10 released
	* remove unused INACTIVITY_TIMEOUT <luns@aloha.EECS.Berkeley.EDU>
	* rftp getpass()/getpassphrase() <handy@nid.co.jp>
	* added gethostbyname2() wrapper <andre.albsmeier@mchp.siemens.de>
	* pident patch fails if socks5.ident file not found <monte@home.com>

Tue Jul  6 12:12:07 CDT 1999
	* split ifdef for IRIX cc <china@thewrittenword.com>

Thu Jun 24 10:09:58 CDT 1999
	* patch for lsGetCachedHostname() <ishisone@sra.co.jp>
	* changed protocol return code for connection refused <alla@sovlink.ru>
Fri Jun 11 13:17:33 CDT 1999
        * autoconf threads and ident <tv@maussu.ndh.net>

Wed May 19 11:41:27 CDT 1999
	* SHLIB_LFLAGS for OSF cc <china@thewrittenword.com>
	* removed fclose() wrapper 
          redhat 6.0 seg faults on fclose() when wrapped

Mon May 17 12:40:37 CST 1999
	* rld.c fix for FreeBSD 3.x <andre.albsmeier@mchp.siemens.de>

Fri Mar 26 14:24:34 CST 1999
	* fix child process signal.
	* fix runaway process.

Tue Mar 23 15:09:14 CST 1999
	* rld.c macros are bad in v1.0r9 <oleg@elbim.ru>
	* server/udp.c close all sockets. 

Tue Mar  9 17:36:31 CST 1999
	* socks5-v1.0r9 released
	* username/passwd eof fix

Fri Feb 26 10:18:46 CST 1999
	* changed threading model
	* added SOCKS5_V4SUPPORT

Mon Feb  1 15:47:16 CST 1999
	* runsocks.in fix <nobbi@cheerful.com>

Mon Jan 25 11:25:42 CST 1999
	* Makefile.in install-sh bugs <eychenne@info.enserb.u-bordeaux.fr>

Wed Jan  6 16:16:25 CST 1999
	* removed old MONITOR code
	* fixed 'make clean' target

Mon Dec 28 13:49:24 CST 1998
	* sendmsg/recvmsg in headers generate warnings <michael@bizsystems.com>

Wed Dec 16 11:06:56 CST 1998
	* modified ftp client so commands are not split into
	  two packets.  some packet filtering firewalls will
	  block connection when sent as two packets.

Tue Dec  1 10:54:51 CST 1998
	* added doc to socks5.conf.5 about SOCKS5_REVERSEMAP
	* moved s5fakehost file from ~/.s5fakehost to /tmp/.s5fakehost.uid

Fri Nov 20 11:17:47 CST 1998 
	* dlopen relative paths do not work on FreeBSD <andre.albsmeier@mchp.siemens.de>
	* moved dlopen relative path to configure

Wed Nov 18 14:35:02 CST 1998
	* socks5-v1.0r8 released

Fri Nov 13 10:18:06 CST 1998
	* updated setpgrp configure test
	* added SOCKS5_REVERSEMAP to config file parsing
	  - config files with many IP addrs will load faster
	* pass dlopen() relative paths

Thu Nov 12 10:46:04 CST 1998
	* changed rresvport() wrapper -- like bind() wrapper
	* moved faked host table from memory to file
	  - fixes Netscape Communicator 4.5 problem.
	* moved 'getpwuid()' in lsEffUser to fix FreeBSD bug.

Tue Nov  3 17:58:02 CST 1998
	* added test/handling for sendmsg/(recvmsg)

Tue Oct 27 12:44:44 CST 1998
	* added configure test for setpgrp

Tue Oct 20 11:58:41 CDT 1998
	* added blurb in socks5.conf.5 about proper configurations.

Wed Oct 14 09:16:16 CDT 1998
	* removed files with only internal code, related cleanup.

Fri Oct  9 09:09:42 CDT 1998 eychenne@col.bsf.alcatel.fr
	* changed bad #ifdef label in lib/log.c

Mon Oct  5 16:45:59 CDT 1998
	* added "round robin DNS" support (ftp-data).
	* changed SOCKS5_TIMEOUT & SOCKS5_UDPPORTRANGE 
	  - now can be set from /etc/socks5.conf
	* changed UDP recvfrom

Thu Oct  1 13:16:35 CDT 1998
	* changed Makefile.in clients.install target so 
	  libsocks5.a is not installed

Wed Sep 30 12:25:42 CDT 1998
	* socks5-v1.0r7 released
	* added semaphore on 'accept' (Solaris 2.5)
	* increased UDP recv buffer size
	* removed SO_REUSEADDR from UDP sockets
	* moved SOCKS5_TIMEOUT & SOCKS5_UDPPORTRANGE for inetd
	* changed client lib 'recvfrom' wrapper

Tue Sep 22 15:50:05 CDT 1998
	* fix for bug with 980810 ssh patch.
	* added 'interface' alias for 'route' in config file.

Tue Sep 22 09:11:46 CDT 1998
	* typo in include/hide.h by eychenne@col.bsf.alcatel.fr

Thu Aug 20 10:12:16 CDT 1998
	* patch for shadow passwords by daniel@med.up.pt

Mon Aug 10 10:55:19 CDT 1998 
	* patch for ssh problem by pab@cs.arizona.edu

Wed Aug  5 09:08:44 CDT 1998 kneedham@sgi.com
	* removed unescaped cr/lf in log message lib/wrap_udp.c

Tue Aug  4 16:07:50 CDT 1998
	* changed debug log file format lib/confutil.c

Mon Jul 27 10:37:33 CDT 1998 Pavel.Roskin@ecsoft.co.uk
	* libsocks5_sh.so not installed in proper directory 
	  for 'make install prefix=/foo'

Thu Jul 16 13:23:29 CDT 1998
	* socks5-v1.0r6 released
	* Renamed archie client struct
	* Removed "make check" from docs, does not exist.
	* Fixed configure script for Linux shared library (_fstat).
	* Added ncurses lib search for telnet client. 
	* Fixed UDP memory leak.
	* Changed default behavior to not reverse DNS/services.
		SOCKS5_NOREVERSEMAP ==> SOCKS5_REVERSEMAP
		SOCKS5_NOSERVICENAME ==> SOCKS5_SERVICENAME
	* Changed behavior when 'auth' lines exist but no match.
	* Added log message when authentication fails.
	* ping/traceroute use redundant servers.
	* Fixed buffer overflow in lib/log.c <zab@zabbo.net>
	* Fixed problems reported by <ishisone@sra.co.jp>
	* Fixed problem with Linux 'gethostbyname' implementation.
	* Fixed remote DNS problems introduced in v1.0r5

Thu Feb 19 12:00:00 CDT 1998
	* socks5-v1.0r5 released

... ChangeLog not maintained ...

Fri Nov 20 17:59:40 CDT 1996 Wei Lu <wlu@syl.dl.nec.com>
	* Better password checking for user/passwd auth
	* Better non-blocking I/O handling in client library
	* Fixed several bugs in config file parsing
	* Fixed the bug in "traceroute" proxy
	* Fixed couple of bugs in ftp client
	* Added three statically linkable wrapper functions
	* Modified the support of UDP bind proxy
	* A number of changes in configure related files and Makefiles

Sun Oct  6 12:59:40 CDT 1996 Dave Blob <blob@nec.com>
	* Buffering read of all data if blocking (vs 1 by 1)
	- Submitted by Griff Miller
	* finger should be dependent on SRCS not OBJS.
	- Submitted by Carson Gaspar <carson@lehman.com>
	* Block signals when handling nchildren (gravedigger & DoFork)

Fri Aug 16 12:38:03 CDT 1996 Dave Blob <blob@nec.com>
	* Changed default log level to info -- warnings ignored
	* Fixed default-* setting in configure.in

Wed Aug  7 14:24:43 CDT 1996 Jos Vos <jos@xos.nl>
	* Beta 0.16.5 released
	* AIX 4.1.4 route fixes (may break 3.2.x).
	* Man page sync'ing.

Mon Aug  5 23:34:38 CDT 1996 Akihisa Kurashima <kura@mmp.cl.nec.co.jp>
	* EWS shlib fix: SHLIB_CFLAGS should be empty
	* Socks4 fix (headerlen problem, again).
	* lsSocketTypeAssumed->lsSocketType in log messages.

Mon Aug  5 23:33:10 CDT 1996 Dave Blob <blob@nec.com>
	* More Log Fixes & Cleanup
	* Addition of msgid's, though no catalog yet.
	* addition of filter lines in config file
	* Fixed "," support in config files (cmd & auth).

Tue Jul 30 18:00:01 CDT 1996 Dave Blob <blob@nec.com>
	* Log fixes, esp catopen return value
	* Ftp extern fixes.
	* Socks.h cleanup.

Mon Jul 29 21:59:23 CDT 1996 Dave Blob <blob@nec.com>
	* More changes for NT port integration
	* Fixed handling of lsLibProto return NULL
	* Got rid of SOCKSrcmd

Mon Jul 22 16:55:52 CDT 1996 Dave Blob <blob@nec.com>
	* minor nb-connect fix.
	* minor fclose fix.

Fri Jul 19 15:17:49 CDT 1996 Dave Blob <blob@nec.com>
	* Released beta 0.16.4
	* Fixed case where tcp setup returned success on failure
	* Fixed possiblity of freeing cmdinfo->option & using it.
	* Fixed some log levels
	* Added better monitor/preforking support
	* Fixed server (normal mode) hup problem

Thu Jul 18 13:42:09 CDT 1996 Akihisa Kurashima <kura@mmp.cl.nec.co.jp>
	- Added NEC EWS support
	* fixed nsl & socket library order search order
	* added default MAXHOSTNAMELEN
	* added shlib compile flags for ews.
	* added some AF_UNSPEC support.

Wed Jul 17 16:01:57 CDT 1996 Dave Blob <blob@nec.com>
	* fixed AIX macro problems
	* Changed logging api.
	* Remove semaphore (esp svr4) on ^C in server

Mon Jul 15 10:50:47 CDT 1996 Carson Gaspar <carson@lehman.com>
	* Released beta 0.16.3
	* Fixes for reading Socks4 responses in library

Fri Jul 12 12:46:23 CDT 1996 Dave Blob <blob@nec.com>
	* Fixed missing P() macros stuff.
	* fixed problem with dupS...
	* fixed threading & monitor interaction...
	* fixed "set var" handling (w/o setenv).

Thu Jul 11 16:48:04 CDT 1996 Dave Blob <blob@nec.com>
	* released beta 0.16.2
	* fixed remote name resolution in client.
	* fixed local bind after connect problem.
	* made realaudio support configurable with 
	  SOCKS5_UDPBIND environment variable.
	
Tue Jul  2 16:54:24 CDT 1996 Dave Blob <blob@nec.com>
	* released beta 0.16.1
	* fixed buffer remapping of close to -1, badf
	* fixed ^C handling in rping, rtraceroute
	
Tue Jul  2 15:02:36 CDT 1996 Dave Blob <blob@nec.com>
	* released beta 0.16.0	
	* minor Gssapi fixes
	* minor encapsulation fixes
	* api cleanup

Thu Jun 20 19:13:47 CDT 1996 Dave Blob <blob@nec.com>
	* Route fix for connect
	- Submitted by Jack Thomasson <jkt@Helius.COM>
	* more api & name changes
	* merge of lib*read/write functions
	* support for ioflags (e.g. msg_peek) in lsrecv/send
	* added simple password file support
	
Sat Jun 15 12:00:00 CDT 1996 Dave Blob <blob@nec.com>
	* Server makefile fix 
	- Submitted by Joe Rhett <jrhett@navigist.com>

Fri Jun 14 16:42:37 CDT 1996 Dave Blob <blob@nec.com>
	* released beta 0.15.3
	* fix for shlib_rdir not being set
	* separated typedefs from structs for vcpp.
	* changed some names to be more consistent...

Fri Jun 14 16:42:19 CDT 1996 Carson Gaspar <carson@lehman.com>
	* fix to local nb-connect

Thu Jun 13 12:56:14 CDT 1996 Carson Gaspar <carson@lehman.com>
	* fix so bind binds locally if last connection was direct.

Wed Jun 12 18:00:00 CDT 1996 Dave Blob <blob@nec.com>
	* api cleanup (e.g. name changes).
	* copyright updates.
	
Sun Jun  9 17:37:08 CDT 1996 Dave Blob <blob@nec.com>
	* released beta 0.15.2
	* monitor fixes
	- Submitted by by Milton Scritsmier <milton@arraytech.com>
	* added default (1080) port in server socks lines.
	
Sat Jun  8 19:24:39 CDT 1996 Dave Blob <blob@nec.com>
	* removed possibility of conf writing past end of arrays
	* fixed environment variable handline in validate.c
	* fixed return headers in udp.c
	* address & port to just port check in udp...
	
Fri Jun  7 17:16:29 CDT 1996 Dave Blob <blob@nec.com>
	* released beta 0.15.1
	* fixed casting problem (esp on hpux)
	- Fixed by Gene Cohler <gene@sapience.com>
	* Updated man pages
	* updated usage in server
	* fixed address family problems (esp on linux).
	* fixed rping & rtrace's passing of ssi instead of s5netaddr
	* fixed configure.in's prog checks.
	* fixed aix's termios support in telnet
	* ported to aix.
	* fixed recv_sigio & check for F_SETOWN
	* made value optional in set (server config files)
	* added some warnings about bad port & host entries
	* made badline more verbose in server
	* only log error message if abnormal exit...
	* fixed byte counts in proxy.c
	* fixed authorize problems (< 0 instead of != AUTH_OK).
	
Sun Jun  2 23:30:34 CDT 1996 Dave Blob <blob@nec.com>
	* released beta 0.15.0
	* Added Nonblocking connect read code
	- Submitted by Carson Gaspar <carson@lehman.com>
	* Added casts to get rid of warnings (on hpux).
	* Made exportable
	* Got rid of prinfo structure (now S5LinkInfo)
	* Removed ioinfo's from prinfo.
	
Thu May 30 14:39:56 CDT 1996 Dave Blob <blob@nec.com>
	* released beta 0.14.5
	* nonblocking fix
	* rresvport fix Gopal Chand <gc@eng.cam.ac.uk>

Tue May 28 11:54:52 CDT 1996 Ronald.Tschalaer@psi.ch
	* released beta 0.14.3
        * fixed versions in lib/upwd.c to be rfc1929 compliant
        * changed version sent back for socks4 requests to 0 (reply version)

Fri May 24 16:14:12 CDT 1996 A.Iakovlev <andreii@vnet.ibmc.com>
	* fixed bug in lsTcpConnect for connecting on an invalid socket
	
Fri May 24 13:29:13 CDT 1996 Ulrich Eickhoff <Ulrich.Eickhoff@Materna.DE>
	* fixed socks4 username reading
	
Fri May 24 01:12:22 CDT 1996 Dave Blob <blob@nec.com>
	* Bug fix - freeing unallocated memory in validate.c
	* Removed err.[ch], and EXIT, logerror.
	* Added some support for socks5 api

Sun May 19 23:42:51 CDT 1996 Dave Blob <blob@nec.com>
	* released beta 0.14.0
	* Added realaudio support (2 ways)
	* Removed use of $< in Makefile since some makes don't do it right

Sun May 19 22:47:19 CDT 1996 Doug Ambrisko <abrisko@abrisko.roble.com>
	* Moved DontLoop stuff to wrap.c to prevent any other rld loops...
	* Shlib makefile fix

Fri May 10 18:09:14 CDT 1996 Dave Blob <blob@nec.com>
	* released beta 0.13.0
	* removed -1 return value from failed nb connect in select
	* fixed nonblocking return codes.
	* simulated nb connect failure in select with shutdown.
	* Null buffer fix in lsGssapiCheckPacket
	* errors causing exit now shown in server
	* added SOCKS5_NOIDENT to prevent ident lookup failures
	* lookup faked name when doing config file checks
	* fixed port range parsing
	* general parsing cleanup

Wed May  8 23:36:59 CDT 1996 Dave Blob <blob@nec.com>
	* Fixed auth and command - handling.
	- Suggested by Glenn Brusca <gbrusca@syl.nj.nec.com>
	* Use _r commands on any OS that has them
	* Don't try to copy functions unless there's an _r function
	* Removed Krb4 support -- Does anyone really want it?

Tue May  7 19:50:20 CDT 1996 Dave Blob <blob@nec.com> 
	* made getenv (const char *) in archie
	- Pointed out by David Worenklein <dcw@gcm.com>
	* started adding support for ipv6
	* fixed problem with nbconnects...
	- Pointed out by Nick Rossi <voyager@eskimo.com>
	* new test for nbconnects (async2.c)
	* added more generic code to see if socket is still valid

Tue Apr 30 12:59:13 CDT 1996 Dave Blob <blob@nec.com>
	* Minor fix in gssapiCheckPacket

Mon Apr 29 16:44:06 CDT 1996 Dave Blob <blob@nec.com>
	* Changed synopsis in man pages to mention paths may change
	- Suggested by Doug Amrisko <ambrisko@ambrisko.roble.com>

Sun Apr 28 21:38:49 CDT 1996 Doug Ambrisko <ambrisko@ambrisko.roble.com>
	* Fixed shlib install problem.

Thu Apr 25 14:51:02 CDT 1996 Dave Blob <blob@nec.com>
	* Added better authentication API
	* Added Kerberos 4 support
	* separated buffering from encapsulation
	* fixed s4 seg fault (null user) 
	- suggested by Tom Bruell <tmb@best.com>
	* put const's in archie's re_* 
	- also fixed by Doug Ambrisko <ambrisko@ambrisko.roble.com>
	
Thu Apr 11 01:56:01 CDT 1996 Dave Blob <blob@nec.com>
	* Added pthread support
	* fixed username check in library.
	* got rid of libcompat in configure

Fri Apr  5 16:15:52 CST 1996 Dave Blob <blob@nec.com>
	* released beta 0.12.0
	* Added svr4 semaphore support
	* Moved depend stuff into source for library (static)
	* Moved gcc depend to makedepend in server (dynamic).

Tue Mar 26 22:05:18 CST 1996 Dave Blob <blob@nec.com>
	* return address fixes for single homed hosts 
	* added SOCKS5_BINDPORT to server for running on other ports
	* added support for serverpidfile-port for non 1080 ports
	* added host:port syntax to SOCKS_SERVER, SOCKS?_SERVER
	* cleaned up monitor handling for release
	* removed even more global variables from server
	* made gss read's loop in server to get all the data
	* fixed handle passed to lsReadResponse in server accept
	* added cleanup code to UdpEnd in server
	
Wed Feb 28 18:00:00 CST 1996 Cornell Kinderknechht <cornell@nec.com>
	* UDP name proxying fixes

Fri Feb 23 18:18:12 CST 1996 Dave Blob <blob@nec.com>
	* Fixed memory corruption in gss.c
	* Generic cleanups and logging fixes for gss code
	* Tweaked udprecv code in client 
	* General rld.c cleanup

Thu Feb 15 15:59:40 CST 1996 Steve Lass <steve@syl.dl.nec.com>
	* README Changed srvpidfile to srvidtfile
	
Thu Feb 15 11:01:43 CST 1996 Carson Gasper <carson@lehman.com>
	* Fixed bug in select code.
	* Fixed bugs in non-blocking code.

Wed Feb 14 18:00:00 CST 1996 Dave Blob <blob@nec.com>
	* Fixed bugs in GSSAPI code 

Wed Jan 31 08:05:00 PST 1996 John Finaly <finlay@veritas.com>
	* Fixed bug in server (4) code, not resolving names

Wed Jan 31 18:53:15 EST 1996 Carson Gasper <carson@lehman.com>
	* Removed GSS_C_NO_NAME from code...

Mon Jan 22 17:16:26 CST 1996 Dave Blob <blob@nec.com>
	- suggested by Craig Metz <cmetz@inner.net>
 	* Added -n and -v options to rtraceroute

Fri Jan 19 16:49:09 CST 1996 Dave Blob <blob@nec.com>
	- reported by Aaron C. Smith <aaron@sigma.veritas.com>
	* seg fault in cache code for fd=-1...
	- reported by Matt Hastie <matth@citr.uq.oz.au>
	* Fixed library searching macros...

Fri Jan  5 14:46:00 CST 1995 Dave Blob <blob@nec.com>
	* added man pages for runsocks, socks5 & stopsocks

Thu Jan  4 12:00:00 CST 1995 Dave Blob <blob@nec.com>
	* fixed bug in accept code (ECONNRESET problem)
 	* fixed looping failed accept (now waits for sig)
	
Fri Dec 15 17:41:48 CST 1995 Dave Blob <blob@nec.com>
	* Fixed bug in caching code which caused misses

Thu Dec 14 10:47:19 CST 1995 Dave Blob <blob@nec.com>
	* Added support for monitoring
	* Removed VMS & DOS support from archie

Fri Dec  8 14:23:18 CST 1995 Dave Blob <blob@nec.com>
	* Cleaned up ftp & telnet warnings.

Thu Dec  7 15:08:57 CST 1995 Dave Blob <blob@nec.com>
	- reported by Bob Brown <brown@grettir.bibliotech.com>
	* Removed second copy of strdup from funcs.h
	* Added README comment regarding --with-header-problems
	* Changed make clean to not remove backup files
	* Added STDIN_FILENO check/backup to 0, etc...
	* Cleaned up clients/archie/pmachine.h
	* Changed sys/wait.h check.
	* Fixed sigaction usage in clients/pt/share.c

Fri Dec  1 12:00:00 CST 1995 Dave Blob <blob@nec.com>
	* Added a backup putenv

Tue Nov 28 14:23:43 CST 1995 Dave Blob <blob@nec.com>
	* Fixed exec_prefix = NONE problem in configure
	* Started moving away from one big header

Tue Nov 21 15:46:32 CST 1995 Dave Blob <blob@nec.com>
	* Cleaned up runsocks w.r.t environment vars. <cmetz@inner.net>
	* Added SOCKS_NOREVERSEMAP to prevent reverse mappings.
	* Configure checks for IPPORT_RESERVED macro or enum
	* Removed BSD_COMP need for solaris by including sockio.h

Thu Nov 16 18:09:44 CST 1995 Dave Blob <blob@nec.com>
	* Fixed problems in GetPermUsers
	* Fixed problems in lsHowToConnect
	* Changed GetSignals to not prefork if socket is bad.

Thu Nov 16 13:24:47 CST 1995 Dave Blob <blob@nec.com>
	* Integrated ping and traceroute support from Wei Lu <wlu@nec.com>
	* Changed client config file parsing to use server routines.
	* Made server signal handling more posix compliant.

Thu Nov 16 13:24:47 CST 1995 Mike Mescevic <mmiscevi@on.bell.ca>
	* fixed --with-syslog-facility problem. 
	
Date: Mon, 23 Oct 1995 17:38:41 +0100 (FRA) Hugues Lafarge <hugues@afp.com>
	* fixed problem in "direct" support in select...

Fri Oct 20 12:00:00 CDT 1995 Dave Blob <blob@nec.com> 
	- reported by Harlan Stenn <Harlan.Stenn@pfcs.com>
	* added AC_TYPE_PID_T
	* fixed mistaking k4 for k5 
	* added check for waitpid and fallback to wait3 if non-existent
	* added check for putenv and fallback to setenv 
	
Thu Oct 19 15:04:57 CDT 1995 Craig Metz <cmetz@inner.net> 
	* fixed SOCKSfclose 

Thu Oct 19 15:04:57 CDT 1995 Hugues Lafarge <hugues@afp.com>
	* fixed trailing white space deletia in checkconf.c 
	* fixed make INSTALL stuff
	
Sun Oct 15 22:04:18 CDT 1995 Hugues Lafarge <hugues@afp.com>
	* fixed problem in LinkedListInsertUnaligned (valutil.c)

Sun Oct 15 22:04:18 CDT 1995 Dave Blob <blob@nec.com> 
	- reported by stevejg@wni.com
	* fixed problems with telnet configuration under solaris

Wed Oct 11 15:06:15 CDT 1995 Dave Blob <blob@nec.com>
	* socks5-beta-0.07 released
	* more guesses at making telnet work right under linux
	* minor makefile and configure cleanups

Mon Oct  9 17:38:35 CDT 1995 Dave Blob <blob@nec.com>
	* removed ncftp and xarchie from distribution
	* even newer version of telnet

Mon Oct  9 17:38:35 CDT 1995 Dave Blob <blob@nec.com> 
	- reported by stevejg@wni.com
	* fixed configure problems with $withval's 
	* fixed telnet problems with sigblock, sigsetmask

Mon, 09 Oct 1995 14:40:30 -0400 Craig Metz <cmetz@inner.net>
	* more deletions of IP_MAXPACKET (oops!)
	* fixed some problems with ncftp on linux
	* pointed out problems with telnet (not fixed)
	
Fri Oct  6 15:39:29 CDT 1995 Dave Blob <blob@nec.com>
	* socks5-beta-0.06 released
	* fixed a bug in noproxy for the library.
	* changed route handling so that interface names will be looked up
	at bind time in addition to an initial lookup at start-time, so
	that ppp with dynamic addressing will work (hopefully)
	* fixed a bug in the reserved port code (byte ordering)

Thu Oct  5 15:27:24 CDT 1995 Dave Blob <blob@nec.com>
	* added rresvport to wrap_tcp.c for non-bsd systems...
	* added posix signal handling to rcmd.c for non-bsd systems...

Tue Oct  3 12:00:00 CDT 1995 Dave Blob <blob@nec.com>
	* released socks5-beta-0.05
	* fixed casting problems
	* fixed configure stuff for non-gcc systems (esp on HP-UX)

Mon Oct  1 18:00:04 CDT 1995 Dave Blob <blob@nec.com>
	* fixed process group leader problem
	* fixed some problems with ncftp definitions
	
Sat Sep 30 19:38:27 CDT 1995 Dave Blob <blob@nec.com>
	* fixed telnet to work on sgi (setupterm problems)
	* replaced old telnet with new one, modified for configure.
	* fixed bug in defaultroute in server/valutil.c

Thu Sep 28 15:17:32 CDT 1995 Dave Blob <blob@nec.com>
	* fixed configure scripts (eliminated some redundant checks)
	* added inline check and use a few places in server code.
	* Added more to README.
	
Wed Sep 27 15:17:32 CDT 1995 Cornell Kinderknecht <cornell@syl.dl.nec.com>
	* Fixed Makefile problems.
	* Fixed problems with sys/resource.h before time.h
	* Removed varargs.h from socks5p.h -- not needed

Tue Sep 26 15:17:32 CDT 1995 Dave Blob <blob@nec.com>
	* Initial Beta announced (beta-0.03)
	* Added socks.h to client programs instead of command line flags
	* Consolidated configures into one configure...
	* Made naming a bit consistent

Thu Sep 14 11:38:48 CDT 1995 Craig Metz <cmetz@inner.net>
	* Second Pre-Beta (beta-0.02) given out
	* Fixed IP_MAXPACKET in libproto.c
	* Fixed linux problems with FD_ macros
	* Fixed configure problem AC_INIT of bad file
	* Changed HAS to HAVE in configure macros
	* Changed configure to run in root and clinets.
	* Removed unused functions ls*Var, lsStatus*, lsRead, lsWrite

Wed Sep 13 16:12:32 CDT 1995 Dave Blob <blob@nec.com>
	* Initial Pre-Beta release (beta-0.0.1) given out


